Skip to content

/merchants/{merchantCode}/templates (GET)

GET
/merchants/{merchantCode}/templates

Gets all the merchants templates

merchantCode
required
string
filters
string
fields
string format: csv

Fields which should be included in the response. This field is optional. If the field is not set the default fields will be shown

sort
string

Sorting of the entity

limit
integer
default: 1000

The limit of entries of one page

offset
integer
0

The offset where to start the page

Returns object containing property templates

Media typeapplication/json
object
templates
Array<object>
object
code
null | string
>= 1 characters <= 255 characters
name
string
>= 1 characters <= 255 characters
triggerType
string
Allowed values: event other
eventType

Only needed if type is event. With the option “custom” you can listen to custom events from external systems. If custom is set the property “customEventType” must be set

string
Allowed values: fulfillmentOrderUpdated fulfillmentOrderStatusUpdated orderNotPickedUp salesOrderAdded salesOrderFulfillmentAdded schedulePickupReminderTimeReached cartReminderTimeReached inactiveDeviceTimeReached returnOrderAdded returnOrderStatusUpdated productInventoryRestocked custom
description
string
messages
object
key
additional properties
Array
object
title
required
string
<= 255 characters
body
required
string
image
string | null
<= 255 characters
imageType
string
Allowed values: custom externalUrl product
shared
number
default: 1
campaignsUsing
number
status
string
default: active
Allowed values: active inactive
createDate
string format: date-time
createBy
string
meta
object
limit
number
offset
number
totalItemCount
number
Example
{
"templates": [
{
"code": "TEMPLATE1",
"name": "Our great template",
"triggerType": "event",
"eventType": "fulfillmentOrderUpdated",
"description": "description of the entity",
"messages": {
"additionalProperty": [
{
"title": "TheTitle",
"body": "BodyBodyBody",
"image": "http://url",
"imageType": "custom",
"shared": 1
}
]
},
"campaignsUsing": 2,
"status": "active",
"createDate": "2016-07-27T07:45:00Z",
"createBy": "john@doe.com"
}
]
}

Merchant not found

Media typeapplication/json
object
code
required
string
message
required
string
Example
{
"code": "NotFound",
"message": "Merchant not found"
}